summaryrefslogtreecommitdiff
path: root/contrib/competitions/sygus-comp
diff options
context:
space:
mode:
authorAndrew Reynolds <andrew.j.reynolds@gmail.com>2019-08-08 15:16:41 -0500
committerGitHub <noreply@github.com>2019-08-08 15:16:41 -0500
commita56575f413499d256e81f6ca1a64ffe1413ed3c7 (patch)
tree03ea560fb5b45eb0877e1df4bdfe410ea9de79dd /contrib/competitions/sygus-comp
parent63a6e17196d849ad6e57bce7490eafb5b7f7f3ec (diff)
Add subdirectories to contrib for competition scripts (#3164)
Diffstat (limited to 'contrib/competitions/sygus-comp')
-rwxr-xr-xcontrib/competitions/sygus-comp/run-script-sygusComp2016-CLIA16
-rwxr-xr-xcontrib/competitions/sygus-comp/run-script-sygusComp2016-GENERAL33
-rwxr-xr-xcontrib/competitions/sygus-comp/run-script-sygusComp2016-INV16
-rwxr-xr-xcontrib/competitions/sygus-comp/run-script-sygusComp2016-PBE16
-rwxr-xr-xcontrib/competitions/sygus-comp/run-script-sygusComp2017-CLIA16
-rwxr-xr-xcontrib/competitions/sygus-comp/run-script-sygusComp2017-GENERAL33
-rwxr-xr-xcontrib/competitions/sygus-comp/run-script-sygusComp2017-INV33
-rwxr-xr-xcontrib/competitions/sygus-comp/run-script-sygusComp2017-PBE_BitVec16
-rwxr-xr-xcontrib/competitions/sygus-comp/run-script-sygusComp2017-PBE_Strings16
-rw-r--r--contrib/competitions/sygus-comp/run-script-sygusComp2018-CLIA37
-rw-r--r--contrib/competitions/sygus-comp/run-script-sygusComp2018-GENERAL37
-rw-r--r--contrib/competitions/sygus-comp/run-script-sygusComp2018-INV37
-rw-r--r--contrib/competitions/sygus-comp/run-script-sygusComp2018-PBE_BitVec16
-rw-r--r--contrib/competitions/sygus-comp/run-script-sygusComp2018-PBE_Strings16
-rwxr-xr-xcontrib/competitions/sygus-comp/run-script-sygusComp2019-CLIA37
-rwxr-xr-xcontrib/competitions/sygus-comp/run-script-sygusComp2019-GENERAL-auto37
-rwxr-xr-xcontrib/competitions/sygus-comp/run-script-sygusComp2019-GENERAL-f36
-rwxr-xr-xcontrib/competitions/sygus-comp/run-script-sygusComp2019-GENERAL-s36
-rwxr-xr-xcontrib/competitions/sygus-comp/run-script-sygusComp2019-INV-f37
-rwxr-xr-xcontrib/competitions/sygus-comp/run-script-sygusComp2019-INV-s37
-rwxr-xr-xcontrib/competitions/sygus-comp/run-script-sygusComp2019-INV-su37
-rwxr-xr-xcontrib/competitions/sygus-comp/run-script-sygusComp2019-PBE_BitVec-f15
-rwxr-xr-xcontrib/competitions/sygus-comp/run-script-sygusComp2019-PBE_BitVec-s15
-rwxr-xr-xcontrib/competitions/sygus-comp/run-script-sygusComp2019-PBE_Strings-f15
-rwxr-xr-xcontrib/competitions/sygus-comp/run-script-sygusComp2019-PBE_Strings-s15
-rwxr-xr-xcontrib/competitions/sygus-comp/run-script-syguscomp201517
26 files changed, 672 insertions, 0 deletions
diff --git a/contrib/competitions/sygus-comp/run-script-sygusComp2016-CLIA b/contrib/competitions/sygus-comp/run-script-sygusComp2016-CLIA
new file mode 100755
index 000000000..3dc08d8c0
--- /dev/null
+++ b/contrib/competitions/sygus-comp/run-script-sygusComp2016-CLIA
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+cvc4=./cvc4
+bench="$1"
+
+function trywith {
+ ($cvc4 --lang=sygus --no-checking --no-interactive --dump-synth --default-dag-thresh=0 "$@" $bench) 2>/dev/null |
+ (read result w1;
+ case "$result" in
+ unsat) echo "$w1";cat;exit 0;;
+ esac; exit 1)
+ if [ ${PIPESTATUS[1]} -eq 0 ]; then exit 0; fi
+}
+
+trywith --decision=internal --cbqi-prereg-inst
+
diff --git a/contrib/competitions/sygus-comp/run-script-sygusComp2016-GENERAL b/contrib/competitions/sygus-comp/run-script-sygusComp2016-GENERAL
new file mode 100755
index 000000000..0ee133ea8
--- /dev/null
+++ b/contrib/competitions/sygus-comp/run-script-sygusComp2016-GENERAL
@@ -0,0 +1,33 @@
+#!/bin/bash
+
+cvc4=./cvc4
+bench="$1"
+
+function runl {
+ limit=$1; shift;
+ ulimit -S -t "$limit";$cvc4 --lang=sygus --no-checking --no-interactive --dump-synth --default-dag-thresh=0 "$@" $bench
+}
+
+function trywith {
+ sol=$(runl $@)
+ status=$?
+ if [ $status -ne 134 ]; then
+ echo $sol |
+ (read result w1;
+ case "$result" in
+ unsat) echo "$w1";cat;exit 0;;
+ esac; exit 1)
+ if [ ${PIPESTATUS[1]} -eq 0 ]; then exit 0; fi
+ fi
+}
+
+function finishwith {
+ $cvc4 --lang=sygus --no-checking --no-interactive --dump-synth --default-dag-thresh=0 "$@" $bench 2>/dev/null |
+ (read result w1;
+ case "$result" in
+ unsat) echo "$w1";cat;exit 0;;
+ esac)
+}
+
+trywith 120 --cegqi-si=all-abort --cegqi-si-abort --decision=internal --cbqi-prereg-inst
+finishwith --cegqi-si=none
diff --git a/contrib/competitions/sygus-comp/run-script-sygusComp2016-INV b/contrib/competitions/sygus-comp/run-script-sygusComp2016-INV
new file mode 100755
index 000000000..a25a5f5c8
--- /dev/null
+++ b/contrib/competitions/sygus-comp/run-script-sygusComp2016-INV
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+cvc4=./cvc4
+bench="$1"
+
+function trywith {
+ ($cvc4 --lang=sygus --no-checking --no-interactive --dump-synth --default-dag-thresh=0 "$@" $bench) 2>/dev/null |
+ (read result w1;
+ case "$result" in
+ unsat) echo "$w1";cat;exit 0;;
+ esac; exit 1)
+ if [ ${PIPESTATUS[1]} -eq 0 ]; then exit 0; fi
+}
+
+trywith --sygus-inv-templ=post
+
diff --git a/contrib/competitions/sygus-comp/run-script-sygusComp2016-PBE b/contrib/competitions/sygus-comp/run-script-sygusComp2016-PBE
new file mode 100755
index 000000000..19d8fd891
--- /dev/null
+++ b/contrib/competitions/sygus-comp/run-script-sygusComp2016-PBE
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+cvc4=./cvc4
+bench="$1"
+
+function trywith {
+ ($cvc4 --lang=sygus --no-checking --no-interactive --dump-synth --default-dag-thresh=0 "$@" $bench) 2>/dev/null |
+ (read result w1;
+ case "$result" in
+ unsat) echo "$w1";cat;exit 0;;
+ esac; exit 1)
+ if [ ${PIPESTATUS[1]} -eq 0 ]; then exit 0; fi
+}
+
+trywith --cegqi-si=none
+
diff --git a/contrib/competitions/sygus-comp/run-script-sygusComp2017-CLIA b/contrib/competitions/sygus-comp/run-script-sygusComp2017-CLIA
new file mode 100755
index 000000000..3dc08d8c0
--- /dev/null
+++ b/contrib/competitions/sygus-comp/run-script-sygusComp2017-CLIA
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+cvc4=./cvc4
+bench="$1"
+
+function trywith {
+ ($cvc4 --lang=sygus --no-checking --no-interactive --dump-synth --default-dag-thresh=0 "$@" $bench) 2>/dev/null |
+ (read result w1;
+ case "$result" in
+ unsat) echo "$w1";cat;exit 0;;
+ esac; exit 1)
+ if [ ${PIPESTATUS[1]} -eq 0 ]; then exit 0; fi
+}
+
+trywith --decision=internal --cbqi-prereg-inst
+
diff --git a/contrib/competitions/sygus-comp/run-script-sygusComp2017-GENERAL b/contrib/competitions/sygus-comp/run-script-sygusComp2017-GENERAL
new file mode 100755
index 000000000..0ee133ea8
--- /dev/null
+++ b/contrib/competitions/sygus-comp/run-script-sygusComp2017-GENERAL
@@ -0,0 +1,33 @@
+#!/bin/bash
+
+cvc4=./cvc4
+bench="$1"
+
+function runl {
+ limit=$1; shift;
+ ulimit -S -t "$limit";$cvc4 --lang=sygus --no-checking --no-interactive --dump-synth --default-dag-thresh=0 "$@" $bench
+}
+
+function trywith {
+ sol=$(runl $@)
+ status=$?
+ if [ $status -ne 134 ]; then
+ echo $sol |
+ (read result w1;
+ case "$result" in
+ unsat) echo "$w1";cat;exit 0;;
+ esac; exit 1)
+ if [ ${PIPESTATUS[1]} -eq 0 ]; then exit 0; fi
+ fi
+}
+
+function finishwith {
+ $cvc4 --lang=sygus --no-checking --no-interactive --dump-synth --default-dag-thresh=0 "$@" $bench 2>/dev/null |
+ (read result w1;
+ case "$result" in
+ unsat) echo "$w1";cat;exit 0;;
+ esac)
+}
+
+trywith 120 --cegqi-si=all-abort --cegqi-si-abort --decision=internal --cbqi-prereg-inst
+finishwith --cegqi-si=none
diff --git a/contrib/competitions/sygus-comp/run-script-sygusComp2017-INV b/contrib/competitions/sygus-comp/run-script-sygusComp2017-INV
new file mode 100755
index 000000000..a21792fb9
--- /dev/null
+++ b/contrib/competitions/sygus-comp/run-script-sygusComp2017-INV
@@ -0,0 +1,33 @@
+#!/bin/bash
+
+cvc4=./cvc4
+bench="$1"
+
+function runl {
+ limit=$1; shift;
+ ulimit -S -t "$limit";$cvc4 --lang=sygus --no-checking --no-interactive --dump-synth --default-dag-thresh=0 "$@" $bench
+}
+
+function trywith {
+ sol=$(runl $@)
+ status=$?
+ if [ $status -ne 134 ]; then
+ echo $sol |
+ (read result w1;
+ case "$result" in
+ unsat) echo "$w1";cat;exit 0;;
+ esac; exit 1)
+ if [ ${PIPESTATUS[1]} -eq 0 ]; then exit 0; fi
+ fi
+}
+
+function finishwith {
+ $cvc4 --lang=sygus --no-checking --no-interactive --dump-synth --default-dag-thresh=0 "$@" $bench 2>/dev/null |
+ (read result w1;
+ case "$result" in
+ unsat) echo "$w1";cat;exit 0;;
+ esac)
+}
+
+trywith 60 --sygus-inv-templ=pre
+finishwith --sygus-inv-templ=post
diff --git a/contrib/competitions/sygus-comp/run-script-sygusComp2017-PBE_BitVec b/contrib/competitions/sygus-comp/run-script-sygusComp2017-PBE_BitVec
new file mode 100755
index 000000000..19d8fd891
--- /dev/null
+++ b/contrib/competitions/sygus-comp/run-script-sygusComp2017-PBE_BitVec
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+cvc4=./cvc4
+bench="$1"
+
+function trywith {
+ ($cvc4 --lang=sygus --no-checking --no-interactive --dump-synth --default-dag-thresh=0 "$@" $bench) 2>/dev/null |
+ (read result w1;
+ case "$result" in
+ unsat) echo "$w1";cat;exit 0;;
+ esac; exit 1)
+ if [ ${PIPESTATUS[1]} -eq 0 ]; then exit 0; fi
+}
+
+trywith --cegqi-si=none
+
diff --git a/contrib/competitions/sygus-comp/run-script-sygusComp2017-PBE_Strings b/contrib/competitions/sygus-comp/run-script-sygusComp2017-PBE_Strings
new file mode 100755
index 000000000..849835b28
--- /dev/null
+++ b/contrib/competitions/sygus-comp/run-script-sygusComp2017-PBE_Strings
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+cvc4=./cvc4
+bench="$1"
+
+function trywith {
+ ($cvc4 --lang=sygus --no-checking --no-interactive --dump-synth --default-dag-thresh=0 "$@" $bench) 2>/dev/null |
+ (read result w1;
+ case "$result" in
+ unsat) echo "$w1";cat;exit 0;;
+ esac; exit 1)
+ if [ ${PIPESTATUS[1]} -eq 0 ]; then exit 0; fi
+}
+
+trywith --cegqi-si=none --sygus-fair=direct
+
diff --git a/contrib/competitions/sygus-comp/run-script-sygusComp2018-CLIA b/contrib/competitions/sygus-comp/run-script-sygusComp2018-CLIA
new file mode 100644
index 000000000..b4e00423c
--- /dev/null
+++ b/contrib/competitions/sygus-comp/run-script-sygusComp2018-CLIA
@@ -0,0 +1,37 @@
+#!/bin/bash
+
+cvc4=./cvc4
+bench="$1"
+
+function runl {
+ limit=$1; shift;
+ ulimit -S -t "$limit";$cvc4 --lang=sygus --no-checking --no-interactive --default-dag-thresh=0 "$@" $bench 2>/dev/null
+}
+
+function trywith {
+ sol=$(runl $@)
+ status=$?
+ if [ $status -ne 134 ]; then
+ echo $sol |&
+ (read result w1 w2;
+ case "$result" in
+ unsat)
+ case "$w1" in
+ "(define-fun") echo "$w1 $w2";cat;exit 0;;
+ esac; exit 1;;
+ esac; exit 1)
+ if [ ${PIPESTATUS[1]} -eq 0 ]; then exit 0; fi
+ fi
+}
+
+function finishwith {
+ $cvc4 --lang=sygus --no-checking --no-interactive --default-dag-thresh=0 "$@" $bench 2>/dev/null |
+ (read result w1;
+ case "$result" in
+ unsat) echo "$w1";cat;exit 0;;
+ esac)
+}
+
+trywith 120 --cegqi-si=all --cegqi-si-abort --decision=internal --cbqi --cbqi-prereg-inst
+trywith 10 --cegqi-si=none
+finishwith --cegqi-si=none --no-sygus-repair-const
diff --git a/contrib/competitions/sygus-comp/run-script-sygusComp2018-GENERAL b/contrib/competitions/sygus-comp/run-script-sygusComp2018-GENERAL
new file mode 100644
index 000000000..8419e6841
--- /dev/null
+++ b/contrib/competitions/sygus-comp/run-script-sygusComp2018-GENERAL
@@ -0,0 +1,37 @@
+#!/bin/bash
+
+cvc4=./cvc4
+bench="$1"
+
+function runl {
+ limit=$1; shift;
+ ulimit -S -t "$limit";$cvc4 --lang=sygus --no-checking --no-interactive --default-dag-thresh=0 "$@" $bench 2>/dev/null
+}
+
+function trywith {
+ sol=$(runl $@)
+ status=$?
+ if [ $status -ne 134 ]; then
+ echo $sol |&
+ (read result w1 w2;
+ case "$result" in
+ unsat)
+ case "$w1" in
+ "(define-fun") echo "$w1 $w2";cat;exit 0;;
+ esac; exit 1;;
+ esac; exit 1)
+ if [ ${PIPESTATUS[1]} -eq 0 ]; then exit 0; fi
+ fi
+}
+
+function finishwith {
+ $cvc4 --lang=sygus --no-checking --no-interactive --default-dag-thresh=0 "$@" $bench 2>/dev/null |
+ (read result w1;
+ case "$result" in
+ unsat) echo "$w1";cat;exit 0;;
+ esac)
+}
+
+trywith 120 --cegqi-si=all --cegqi-si-abort --decision=internal --cbqi --cbqi-prereg-inst
+trywith 5 --cegqi-si=none --sygus-crepair-abort
+finishwith --cegqi-si=none --no-sygus-repair-const
diff --git a/contrib/competitions/sygus-comp/run-script-sygusComp2018-INV b/contrib/competitions/sygus-comp/run-script-sygusComp2018-INV
new file mode 100644
index 000000000..57870a5af
--- /dev/null
+++ b/contrib/competitions/sygus-comp/run-script-sygusComp2018-INV
@@ -0,0 +1,37 @@
+#!/bin/bash
+
+cvc4=./cvc4
+bench="$1"
+
+function runl {
+ limit=$1; shift;
+ ulimit -S -t "$limit";$cvc4 --lang=sygus --no-checking --no-interactive --default-dag-thresh=0 "$@" $bench 2>/dev/null
+}
+
+function trywith {
+ sol=$(runl $@)
+ status=$?
+ if [ $status -ne 134 ]; then
+ echo $sol |&
+ (read result w1 w2;
+ case "$result" in
+ unsat)
+ case "$w1" in
+ "(define-fun") echo "$w1 $w2";cat;exit 0;;
+ esac; exit 1;;
+ esac; exit 1)
+ if [ ${PIPESTATUS[1]} -eq 0 ]; then exit 0; fi
+ fi
+}
+
+function finishwith {
+ $cvc4 --lang=sygus --no-checking --no-interactive --default-dag-thresh=0 "$@" $bench 2>/dev/null |
+ (read result w1;
+ case "$result" in
+ unsat) echo "$w1";cat;exit 0;;
+ esac)
+}
+
+trywith 10
+trywith 120 --sygus-unif
+finishwith --no-sygus-repair-const
diff --git a/contrib/competitions/sygus-comp/run-script-sygusComp2018-PBE_BitVec b/contrib/competitions/sygus-comp/run-script-sygusComp2018-PBE_BitVec
new file mode 100644
index 000000000..ee5035e59
--- /dev/null
+++ b/contrib/competitions/sygus-comp/run-script-sygusComp2018-PBE_BitVec
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+cvc4=./cvc4
+bench="$1"
+
+function finishwith {
+ ($cvc4 --lang=sygus --no-checking --no-interactive --default-dag-thresh=0 "$@" $bench) 2>/dev/null |
+ (read result w1;
+ case "$result" in
+ unsat) echo "$w1";cat;exit 0;;
+ esac; exit 1)
+ if [ ${PIPESTATUS[1]} -eq 0 ]; then exit 0; fi
+}
+
+finishwith --cegqi-si=none
+
diff --git a/contrib/competitions/sygus-comp/run-script-sygusComp2018-PBE_Strings b/contrib/competitions/sygus-comp/run-script-sygusComp2018-PBE_Strings
new file mode 100644
index 000000000..a9e05bf76
--- /dev/null
+++ b/contrib/competitions/sygus-comp/run-script-sygusComp2018-PBE_Strings
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+cvc4=./cvc4
+bench="$1"
+
+function finishwith {
+ ($cvc4 --lang=sygus --no-checking --no-interactive --default-dag-thresh=0 "$@" $bench) 2>/dev/null |
+ (read result w1;
+ case "$result" in
+ unsat) echo "$w1";cat;exit 0;;
+ esac; exit 1)
+ if [ ${PIPESTATUS[1]} -eq 0 ]; then exit 0; fi
+}
+
+finishwith --cegqi-si=none --sygus-fair=direct
+
diff --git a/contrib/competitions/sygus-comp/run-script-sygusComp2019-CLIA b/contrib/competitions/sygus-comp/run-script-sygusComp2019-CLIA
new file mode 100755
index 000000000..97bb2175b
--- /dev/null
+++ b/contrib/competitions/sygus-comp/run-script-sygusComp2019-CLIA
@@ -0,0 +1,37 @@
+#!/bin/bash
+
+cvc4=./cvc4
+bench="$1"
+
+function runl {
+ limit=$1; shift;
+ ulimit -S -t "$limit";$cvc4 --lang=sygus2 --no-checking --no-interactive --default-dag-thresh=0 "$@" $bench 2>/dev/null
+}
+
+function trywith {
+ sol=$(runl $@)
+ status=$?
+ if [ $status -ne 134 ]; then
+ echo $sol |&
+ (read result w1 w2;
+ case "$result" in
+ unsat)
+ case "$w1" in
+ "(define-fun") echo "$w1 $w2";cat;exit 0;;
+ esac; exit 1;;
+ esac; exit 1)
+ if [ ${PIPESTATUS[1]} -eq 0 ]; then exit 0; fi
+ fi
+}
+
+function finishwith {
+ $cvc4 --lang=sygus2 --no-checking --no-interactive --default-dag-thresh=0 "$@" $bench 2>/dev/null |
+ (read result w1;
+ case "$result" in
+ unsat) echo "$w1";cat;exit 0;;
+ esac)
+}
+
+trywith 120 --cegqi-si=all --cegqi-si-abort --cbqi --cbqi-prereg-inst
+trywith 10 --cegqi-si=none --sygus-repair-const
+finishwith --cegqi-si=none
diff --git a/contrib/competitions/sygus-comp/run-script-sygusComp2019-GENERAL-auto b/contrib/competitions/sygus-comp/run-script-sygusComp2019-GENERAL-auto
new file mode 100755
index 000000000..36afb0790
--- /dev/null
+++ b/contrib/competitions/sygus-comp/run-script-sygusComp2019-GENERAL-auto
@@ -0,0 +1,37 @@
+#!/bin/bash
+
+cvc4=./cvc4
+bench="$1"
+
+function runl {
+ limit=$1; shift;
+ ulimit -S -t "$limit";$cvc4 --lang=sygus2 --no-checking --no-interactive --default-dag-thresh=0 "$@" $bench 2>/dev/null
+}
+
+function trywith {
+ sol=$(runl $@)
+ status=$?
+ if [ $status -ne 134 ]; then
+ echo $sol |&
+ (read result w1 w2;
+ case "$result" in
+ unsat)
+ case "$w1" in
+ "(define-fun") echo "$w1 $w2";cat;exit 0;;
+ esac; exit 1;;
+ esac; exit 1)
+ if [ ${PIPESTATUS[1]} -eq 0 ]; then exit 0; fi
+ fi
+}
+
+function finishwith {
+ $cvc4 --lang=sygus2 --no-checking --no-interactive --default-dag-thresh=0 "$@" $bench 2>/dev/null |
+ (read result w1;
+ case "$result" in
+ unsat) echo "$w1";cat;exit 0;;
+ esac)
+}
+
+trywith 120 --cegqi-si=all --cegqi-si-abort --cbqi --cbqi-prereg-inst
+trywith 5 --cegqi-si=none --sygus-crepair-abort --sygus-repair-const
+finishwith --cegqi-si=none
diff --git a/contrib/competitions/sygus-comp/run-script-sygusComp2019-GENERAL-f b/contrib/competitions/sygus-comp/run-script-sygusComp2019-GENERAL-f
new file mode 100755
index 000000000..5c5e5e9e7
--- /dev/null
+++ b/contrib/competitions/sygus-comp/run-script-sygusComp2019-GENERAL-f
@@ -0,0 +1,36 @@
+#!/bin/bash
+
+cvc4=./cvc4
+bench="$1"
+
+function runl {
+ limit=$1; shift;
+ ulimit -S -t "$limit";$cvc4 --lang=sygus2 --no-checking --no-interactive --default-dag-thresh=0 "$@" $bench 2>/dev/null
+}
+
+function trywith {
+ sol=$(runl $@)
+ status=$?
+ if [ $status -ne 134 ]; then
+ echo $sol |&
+ (read result w1 w2;
+ case "$result" in
+ unsat)
+ case "$w1" in
+ "(define-fun") echo "$w1 $w2";cat;exit 0;;
+ esac; exit 1;;
+ esac; exit 1)
+ if [ ${PIPESTATUS[1]} -eq 0 ]; then exit 0; fi
+ fi
+}
+
+function finishwith {
+ $cvc4 --lang=sygus2 --no-checking --no-interactive --default-dag-thresh=0 "$@" $bench 2>/dev/null |
+ (read result w1;
+ case "$result" in
+ unsat) echo "$w1";cat;exit 0;;
+ esac)
+}
+
+trywith 5 --sygus-active-gen=enum --cegqi-si=none --sygus-crepair-abort --sygus-repair-const
+finishwith --sygus-active-gen=enum --cegqi-si=none
diff --git a/contrib/competitions/sygus-comp/run-script-sygusComp2019-GENERAL-s b/contrib/competitions/sygus-comp/run-script-sygusComp2019-GENERAL-s
new file mode 100755
index 000000000..2a19a14b5
--- /dev/null
+++ b/contrib/competitions/sygus-comp/run-script-sygusComp2019-GENERAL-s
@@ -0,0 +1,36 @@
+#!/bin/bash
+
+cvc4=./cvc4
+bench="$1"
+
+function runl {
+ limit=$1; shift;
+ ulimit -S -t "$limit";$cvc4 --lang=sygus2 --no-checking --no-interactive --default-dag-thresh=0 "$@" $bench 2>/dev/null
+}
+
+function trywith {
+ sol=$(runl $@)
+ status=$?
+ if [ $status -ne 134 ]; then
+ echo $sol |&
+ (read result w1 w2;
+ case "$result" in
+ unsat)
+ case "$w1" in
+ "(define-fun") echo "$w1 $w2";cat;exit 0;;
+ esac; exit 1;;
+ esac; exit 1)
+ if [ ${PIPESTATUS[1]} -eq 0 ]; then exit 0; fi
+ fi
+}
+
+function finishwith {
+ $cvc4 --lang=sygus2 --no-checking --no-interactive --default-dag-thresh=0 "$@" $bench 2>/dev/null |
+ (read result w1;
+ case "$result" in
+ unsat) echo "$w1";cat;exit 0;;
+ esac)
+}
+
+trywith 5 --sygus-active-gen=none --cegqi-si=none --sygus-crepair-abort --sygus-repair-const
+finishwith --sygus-active-gen=none --cegqi-si=none
diff --git a/contrib/competitions/sygus-comp/run-script-sygusComp2019-INV-f b/contrib/competitions/sygus-comp/run-script-sygusComp2019-INV-f
new file mode 100755
index 000000000..21120c0a4
--- /dev/null
+++ b/contrib/competitions/sygus-comp/run-script-sygusComp2019-INV-f
@@ -0,0 +1,37 @@
+#!/bin/bash
+
+cvc4=./cvc4
+bench="$1"
+
+function runl {
+ limit=$1; shift;
+ ulimit -S -t "$limit";$cvc4 --lang=sygus2 --no-checking --no-interactive --default-dag-thresh=0 "$@" $bench 2>/dev/null
+}
+
+function trywith {
+ sol=$(runl $@)
+ status=$?
+ if [ $status -ne 134 ]; then
+ echo $sol |&
+ (read result w1 w2;
+ case "$result" in
+ unsat)
+ case "$w1" in
+ "(define-fun") echo "$w1 $w2";cat;exit 0;;
+ esac; exit 1;;
+ esac; exit 1)
+ if [ ${PIPESTATUS[1]} -eq 0 ]; then exit 0; fi
+ fi
+}
+
+function finishwith {
+ $cvc4 --lang=sygus2 --no-checking --no-interactive --default-dag-thresh=0 "$@" $bench 2>/dev/null |
+ (read result w1;
+ case "$result" in
+ unsat) echo "$w1";cat;exit 0;;
+ esac)
+}
+
+trywith 10 --sygus-active-gen=enum --sygus-repair-const
+trywith 120 --sygus-unif
+finishwith --sygus-active-gen=enum
diff --git a/contrib/competitions/sygus-comp/run-script-sygusComp2019-INV-s b/contrib/competitions/sygus-comp/run-script-sygusComp2019-INV-s
new file mode 100755
index 000000000..e835ba91a
--- /dev/null
+++ b/contrib/competitions/sygus-comp/run-script-sygusComp2019-INV-s
@@ -0,0 +1,37 @@
+#!/bin/bash
+
+cvc4=./cvc4
+bench="$1"
+
+function runl {
+ limit=$1; shift;
+ ulimit -S -t "$limit";$cvc4 --lang=sygus2 --no-checking --no-interactive --default-dag-thresh=0 "$@" $bench 2>/dev/null
+}
+
+function trywith {
+ sol=$(runl $@)
+ status=$?
+ if [ $status -ne 134 ]; then
+ echo $sol |&
+ (read result w1 w2;
+ case "$result" in
+ unsat)
+ case "$w1" in
+ "(define-fun") echo "$w1 $w2";cat;exit 0;;
+ esac; exit 1;;
+ esac; exit 1)
+ if [ ${PIPESTATUS[1]} -eq 0 ]; then exit 0; fi
+ fi
+}
+
+function finishwith {
+ $cvc4 --lang=sygus2 --no-checking --no-interactive --default-dag-thresh=0 "$@" $bench 2>/dev/null |
+ (read result w1;
+ case "$result" in
+ unsat) echo "$w1";cat;exit 0;;
+ esac)
+}
+
+trywith 10 --sygus-active-gen=none --sygus-repair-const
+trywith 120 --sygus-unif
+finishwith --sygus-active-gen=none
diff --git a/contrib/competitions/sygus-comp/run-script-sygusComp2019-INV-su b/contrib/competitions/sygus-comp/run-script-sygusComp2019-INV-su
new file mode 100755
index 000000000..b3e056d7c
--- /dev/null
+++ b/contrib/competitions/sygus-comp/run-script-sygusComp2019-INV-su
@@ -0,0 +1,37 @@
+#!/bin/bash
+
+cvc4=./cvc4
+bench="$1"
+
+function runl {
+ limit=$1; shift;
+ ulimit -S -t "$limit";$cvc4 --lang=sygus2 --no-checking --no-interactive --default-dag-thresh=0 "$@" $bench 2>/dev/null
+}
+
+function trywith {
+ sol=$(runl $@)
+ status=$?
+ if [ $status -ne 134 ]; then
+ echo $sol |&
+ (read result w1 w2;
+ case "$result" in
+ unsat)
+ case "$w1" in
+ "(define-fun") echo "$w1 $w2";cat;exit 0;;
+ esac; exit 1;;
+ esac; exit 1)
+ if [ ${PIPESTATUS[1]} -eq 0 ]; then exit 0; fi
+ fi
+}
+
+function finishwith {
+ $cvc4 --lang=sygus2 --no-checking --no-interactive --default-dag-thresh=0 "$@" $bench 2>/dev/null |
+ (read result w1;
+ case "$result" in
+ unsat) echo "$w1";cat;exit 0;;
+ esac)
+}
+
+trywith 30 --sygus-unif-boolean-heuristic-dt --sygus-active-gen=var-agnostic --sygus-add-const-grammar --decision=justification
+trywith 10 --sygus-active-gen=none --sygus-repair-const
+finishwith --sygus-active-gen=none
diff --git a/contrib/competitions/sygus-comp/run-script-sygusComp2019-PBE_BitVec-f b/contrib/competitions/sygus-comp/run-script-sygusComp2019-PBE_BitVec-f
new file mode 100755
index 000000000..7fd203238
--- /dev/null
+++ b/contrib/competitions/sygus-comp/run-script-sygusComp2019-PBE_BitVec-f
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+cvc4=./cvc4
+bench="$1"
+
+function finishwith {
+ ($cvc4 --lang=sygus2 --no-checking --no-interactive --default-dag-thresh=0 "$@" $bench) 2>/dev/null |
+ (read result w1;
+ case "$result" in
+ unsat) echo "$w1";cat;exit 0;;
+ esac; exit 1)
+ if [ ${PIPESTATUS[1]} -eq 0 ]; then exit 0; fi
+}
+
+finishwith --cegqi-si=none
diff --git a/contrib/competitions/sygus-comp/run-script-sygusComp2019-PBE_BitVec-s b/contrib/competitions/sygus-comp/run-script-sygusComp2019-PBE_BitVec-s
new file mode 100755
index 000000000..27d72f7a0
--- /dev/null
+++ b/contrib/competitions/sygus-comp/run-script-sygusComp2019-PBE_BitVec-s
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+cvc4=./cvc4
+bench="$1"
+
+function finishwith {
+ ($cvc4 --lang=sygus2 --no-checking --no-interactive --default-dag-thresh=0 "$@" $bench) 2>/dev/null |
+ (read result w1;
+ case "$result" in
+ unsat) echo "$w1";cat;exit 0;;
+ esac; exit 1)
+ if [ ${PIPESTATUS[1]} -eq 0 ]; then exit 0; fi
+}
+
+finishwith --sygus-active-gen=none --cegqi-si=none
diff --git a/contrib/competitions/sygus-comp/run-script-sygusComp2019-PBE_Strings-f b/contrib/competitions/sygus-comp/run-script-sygusComp2019-PBE_Strings-f
new file mode 100755
index 000000000..f60263e05
--- /dev/null
+++ b/contrib/competitions/sygus-comp/run-script-sygusComp2019-PBE_Strings-f
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+cvc4=./cvc4
+bench="$1"
+
+function finishwith {
+ ($cvc4 --lang=sygus2 --no-checking --no-interactive --default-dag-thresh=0 "$@" $bench) 2>/dev/null |
+ (read result w1;
+ case "$result" in
+ unsat) echo "$w1";cat;exit 0;;
+ esac; exit 1)
+ if [ ${PIPESTATUS[1]} -eq 0 ]; then exit 0; fi
+}
+
+finishwith --cegqi-si=none --sygus-fair=direct
diff --git a/contrib/competitions/sygus-comp/run-script-sygusComp2019-PBE_Strings-s b/contrib/competitions/sygus-comp/run-script-sygusComp2019-PBE_Strings-s
new file mode 100755
index 000000000..42c7c40e7
--- /dev/null
+++ b/contrib/competitions/sygus-comp/run-script-sygusComp2019-PBE_Strings-s
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+cvc4=./cvc4
+bench="$1"
+
+function finishwith {
+ ($cvc4 --lang=sygus2 --no-checking --no-interactive --default-dag-thresh=0 "$@" $bench) 2>/dev/null |
+ (read result w1;
+ case "$result" in
+ unsat) echo "$w1";cat;exit 0;;
+ esac; exit 1)
+ if [ ${PIPESTATUS[1]} -eq 0 ]; then exit 0; fi
+}
+
+finishwith --sygus-active-gen=none --cegqi-si=none --sygus-fair=direct
diff --git a/contrib/competitions/sygus-comp/run-script-syguscomp2015 b/contrib/competitions/sygus-comp/run-script-syguscomp2015
new file mode 100755
index 000000000..aab6851e1
--- /dev/null
+++ b/contrib/competitions/sygus-comp/run-script-syguscomp2015
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+cvc4=./cvc4
+bench="$1"
+
+function trywith {
+ ($cvc4 --lang=sygus --no-checking --no-interactive --dump-synth --default-dag-thresh=0 "$@" $bench) 2>/dev/null |
+ (read result w1;
+ case "$result" in
+ unsat) echo "$w1";cat;exit 0;;
+ esac; exit 1)
+ if [ ${PIPESTATUS[1]} -eq 0 ]; then exit 0; fi
+}
+
+trywith --cegqi --cegqi-si-multi-inst-abort --cegqi-si-abort --decision=internal
+trywith --cegqi --no-cegqi-si
+
generated by cgit on debian on lair
contact matthew@masot.net with questions or feedback